<!-- File Selector -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language=javascript for=window event=onload>
<!--
  for ( elem in window.dialogArguments )
  {
    switch( elem )
    {
    case "src":
      document.Form.Input.value = window.dialogArguments["src"];
      break;
     }
  }
// -->
</script>
<script language="JavaScript">
<!--
function OkClick() {
  var arr = new Array();
  arr["src"] = document.Form.Input.value;
  window.returnValue = arr;
  window.close();
}
// -->
</script>
</head>

<body bgcolor="#E8E8E8">
<table width="100%" height="100%" cellspacing="10" border="0">
<form name="Form">
<input type="hidden" name="Path" value="">
  <tr>
    <td colspan="3" width="100%">
    <iframe frameborder="1" name="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="yes"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="15%" align="left" nowrap>Image Path:</td>
    <td height="25" width="35%" align="left">
    <input name="Input" type="text" style="width: 100%" size="20"></td>
    <td height="25" width="50%" align="right" nowrap>
    {%%if:canmanagefiles:ok%%}
    <input type="button" value="Upload" OnClick="document.iframe.location='?module=files&action=upload&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    <input type="button" value="Make Directory" OnClick="document.iframe.location='?module=files&action=newdir&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    {%%endif%%}
    </td>
  </tr>
  <tr>
    <td height="25" width="15%" align="left"></td>
    <td height="25" width="35%" align="left"></td>
    <td height="25" width="50%" align="right">
    <input type="button" name="Ok" tabindex="1" value="&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">
    <input type="button" name="Cancel" value="Cancel" OnClick="window.close();">
    </td>
  </tr>
</form>
</table>
</body>

</html>
